# n8n

Extensible environment for interactive and reproducible computing

<!-- metadata -->

* **Category**: Utilities
* **Status**: 1
* **Image**: `n8nio/n8n`
* **Healthcheck**: No
* **Backups**: No
* **Email**: N/A
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new ${REPO_NAME} --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

Currently, you have to manually run a command to generate an initial
configuration (see #1):

`abra app YOURAPPDOMAIN run app jupyter notebook --generate-config`

And then run this command to get a token for initial login:

`abra app YOURAPPDOMAIN run app jupyter notebook list`

You can enter this token at the bottom of the login page to set a password
instead (see #2).

[`abra`]: https://git.coopcloud.tech/coop-cloud/abra
[`coop-cloud/traefik`]: https://git.coopcloud.tech/coop-cloud/traefik
cloud/traefik
